%define _unpackaged_files_terminate_build 1
%define mod_name %pypi_name
%define pypi_name pyttsx3

%def_with check

Name: python3-module-%pypi_name

Version: 2.98
Release: alt1.4
Summary: Offline Text To Speech (TTS) converter for Python 
License: MPL-2.0
Group: Development/Python3
Url: https://pypi.org/project/pyttsx3/
Vcs: https://github.com/nateshmbhat/pyttsx3
BuildArch: noarch

Source: %name-%version.tar
#eSpeak voice count varies between versions
Patch0: eSpeak-speak-test-alt.patch
#skip test_listening_for_events
Patch1: not-test-listening-for-events-alt.patch

BuildRequires(pre): rpm-build-pyproject
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)
BuildRequires: espeak
BuildRequires: ffmpeg
BuildRequires: libespeak
BuildRequires: alsa-utils
%if_with check
BuildRequires: python3-module-pytest
BuildRequires: aplay
%endif

%py3_provides %pypi_name

%description
%summary

%prep
%setup
%autopatch -p1

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_create_default_config
%tox_check_pyproject

%files
%doc README.md
%python3_sitelibdir/%pypi_name/
%python3_sitelibdir/%pypi_name-%version.dist-info
%exclude %python3_sitelibdir/%pypi_name/drivers/nsss.py
%exclude %python3_sitelibdir/%pypi_name/drivers/sapi5.py

%changelog
* Tue May 27 2025 Pavel Shilov <zerospirit@altlinux.org> 2.98-alt1.4
- Skip test listening for event.

* Tue May 06 2025 Pavel Shilov <zerospirit@altlinux.org> 2.98-alt1.3
- Skip eSpeak voice count varies between versions.

* Thu Feb 06 2025 Stanislav Levin <slev@altlinux.org> 2.98-alt1.2
- NMU: fixed FTBFS (tox 4).

* Mon Jan 13 2025 Pavel Shilov <zerospirit@altlinux.org> 2.98-alt1.1
- add build requires alsa-utils for tests

* Tue Nov 12 2024 Pavel Shilov <zerospirit@altlinux.org> 2.98-alt1
- initial build for Sisyphus
